Bug 209583 - kernel BUG in mm/mmap.c:2604
kernel BUG in mm/mmap.c:2604
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-06 02:41 EDT by Danail Nachev
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-10 00:38:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
my dmesg (22.97 KB, text/plain)
2006-10-06 02:41 EDT, Danail Nachev
no flags Details

  None (edit)
Description Danail Nachev 2006-10-06 02:41:07 EDT
Description of problem:

A message dumps in the /var/log/messages with the description:

kernel BUG at mm/mmap.c:2064!
invalid opcode: 0000 [#5]

Version-Release number of selected component (if applicable):

Linux spring 2.6.17-1.2187_FC5smp #1 SMP Mon Sep 11 01:32:34 EDT 2006 i686
athlon i386 GNU/Linux

How reproducible:

This cannot be reproduced in known way. However it happens at least once a day. 

Actual results:

Error message in kernel dump and the process is killed.

Expected results:

No message and the process should continue running.

Additional info:

Here is one of the dumps:

------------[ cut here ]------------
kernel BUG at mm/mmap.c:2064!
invalid opcode: 0000 [#1]
SMP
last sysfs file: /devices/system/cpu/cpu0/cpufreq/scaling_cur_freq
Modules linked in: ipt_TTL iptable_mangle ipt_REDIRECT iptable_nat ip_nat
ip_conntrack nfnetlink xt_tcpudp iptable_filter ip_tables x_tables it87
hwmon_vid hwmon eeprom i2c_isa vmnet(U) vmmon(U) sunrpc ipv6 ppp_synctty
ppp_async crc_ccitt ppp_generic slhc vfat fat dm_mirror dm_mod video button
battery ac lp parport_pc parport snd_hda_intel snd_hda_codec snd_intel8x0
snd_ac97_codec snd_ac97_bus snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq
snd_seq_device nvidia(U) snd_pcm_oss snd_mixer_oss ohci_hcd i2c_core sg snd_pcm
ehci_hcd floppy snd_timer snd serio_raw soundcore forcedeth snd_page_alloc ext3
jbd sata_nv libata sd_mod scsi_mod
CPU:    0
EIP:    0060:[<c045b4f7>]    Tainted: P      VLI
EFLAGS: 00210202   (2.6.17-1.2187_FC5smp #1)
EIP is at exit_mmap+0xe7/0xf6
eax: 00000000   ebx: c2014f60   ecx: f7eea980   edx: f5586908
esi: 00000000   edi: f751d300   ebp: 0000000b   esp: f75bce4c
ds: 007b   es: 007b   ss: 0068
Process liferea-bin (pid: 2699, threadinfo=f75bc000 task=f67a0b30)
Stack: 00000000 f75bce58 00000000 00003412 c2014f60 f751d300 f751d364 f75bc000
       c0422f5c c042697f f75bc000 f67a0b30 f75bc000 f67a0b30 c0427ed8 c0800c98
       f67a0fac f75bc000 f75bcf14 c042e31f 00000000 00000009 00000008 00200282
Call Trace:
 <c0422f5c> mmput+0x27/0xd0  <c042697f> exit_mm+0x13b/0x14b
 <c0427ed8> do_exit+0x1c4/0x792  <c042e31f> __dequeue_signal+0x14a/0x155
 <c0428513> sys_exit_group+0x0/0xd  <c042fc37> get_signal_to_deliver+0x3a9/0x3d1
 <c0403564> do_notify_resume+0x75/0x5fa  <c041f2e7> default_wake_function+0x0/0xc
 <c0449b14> audit_syscall_exit+0x3f/0x2ee  <c0449aae>
audit_syscall_entry+0x104/0x12b
 <c0406da7> do_syscall_trace+0x5b/0x16d  <c0403ece> work_notifysig+0x13/0x19
Code: e8 11 50 00 00 c7 43 04 00 00 00 00 89 f8 e8 23 6c fa ff eb 09 89 f0 e8 de
fe ff ff 89 c6 85 f6 75 f3 83 bf 98 00 00 00 00 74 08 <0f> 0b 10 08 2c b6 63 c0
83 c4 14 5b 5e 5f c3 55 57 89 d7 56 89
EIP: [<c045b4f7>] exit_mmap+0xe7/0xf6 SS:ESP 0068:f75bce4c
 <1>Fixing recursive fault but reboot is needed!
Comment 1 Danail Nachev 2006-10-06 02:41:07 EDT
Created attachment 137898 [details]
my dmesg
Comment 2 Dave Jones 2006-10-10 00:38:54 EDT
bug reports with binary only modules loaded are worthless.

Note You need to log in before you can comment on or make changes to this bug.